2017-10-18 06:27 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002637OpenFOAMPatchpublic2017-08-10 14:00
Reporterhandrake0724 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSArchOS Version(please specify)
Product Version4.x 
Target VersionFixed in Version5.x 
Summary0002637: need modification in makeCGAL for CGAL 4.9.x
Descriptionsince CGAL 4.9, CGAL_INSTALL_LIB_DIR is set to lib64 for x86_64 instead lib.
this change make trouble when compiling openfoam due to the wrong library path for CGAL.

I think it would nice to add CGAL_INSTALL_LIB_DIR explicitly in makeCGAL script as follows:

in line 275,
cmake \
        -DCMAKE_INSTALL_PREFIX=$CGAL_ARCH_PATH \
        -DCMAKE_BUILD_TYPE=Release \
        -DWITH_CGAL_Qt5=OFF \
        -DCGAL_INSTALL_LIB_DIR=lib \

TagsNo tags attached.
Attached Files

-Relationships
related to 0002657resolvedhenry Issue with the path to the CGAL libraries 
+Relationships

-Notes

~0008459

henry (manager)

Shouldn't it be

cmake \
        -DCMAKE_INSTALL_PREFIX=$CGAL_ARCH_PATH \
        -DCMAKE_BUILD_TYPE=Release \
        -DWITH_CGAL_Qt5=OFF \
        -DCGAL_INSTALL_LIB_DIR=lib$WM_COMPILER_LIB_ARCH \

~0008460

handrake0724 (reporter)

It is better. Thanks.

~0008461

henry (manager)

I have upgraded CGAL in OpenFOAM-dev to 4.10, could you test it and let me know if this resolves the library location issue on your machine? If it does I will also update OpenFOAM-5.x.

~0008464

handrake0724 (reporter)

I have checked the updated code (commit 384f9a5cf61a4066679fd5aa023880eaac9b52ce) in OpenFOAM-dev and found the code working without any problem.

~0008469

handrake0724 (reporter)

Further to this, need minor modification in Allwmake in ThirdParty-dev

in line 355,

  if [ -r $CGAL_ARCH_PATH/lib$WM_COMPILER_LIB_ARCH/libCGAL.so ]

instead of

  if [ -r $CGAL_ARCH_PATH/lib/libCGAL.so ]

~0008470

henry (manager)

Resolved in OpenFOAM-5.x by commit 4d892f45791d4b05eef39921227386d0f4ede399
Resolved in ThirdParty-5.x by commit ce25755fd18306ab90ec6fd9023d6959294a87c5

Resolved in OpenFOAM-dev by commit 254ff361e67c9de773f80a9adc90e1f1c7398432
Resolved in ThirdParty-dev by commit 8ff943f342b724eed00397d51f85c7c1314030ff
+Notes

-Issue History
Date Modified Username Field Change
2017-07-27 12:57 handrake0724 New Issue
2017-07-27 14:21 henry Note Added: 0008459
2017-07-27 14:28 handrake0724 Note Added: 0008460
2017-07-27 14:39 henry Note Added: 0008461
2017-07-27 15:52 handrake0724 Note Added: 0008464
2017-07-28 06:11 handrake0724 Note Added: 0008469
2017-07-28 08:30 henry Assigned To => henry
2017-07-28 08:30 henry Status new => resolved
2017-07-28 08:30 henry Resolution open => fixed
2017-07-28 08:30 henry Fixed in Version => 5.x
2017-07-28 08:30 henry Note Added: 0008470
2017-08-10 14:00 henry Relationship added related to 0002657
+Issue History